[SCM] Samba Shared Repository - branch v3-3-test updated - release-3-2-0pre2-3974-g823d713

Michael Adam obnox at samba.org
Thu Sep 11 10:58:31 GMT 2008


The branch, v3-3-test has been updated
       via  823d7132e015fbf887ed61606148fee35f4a5f80 (commit)
       via  f842585ec3d021eab5f44a7907534ac85acb479a (commit)
      from  7ef92e36e4293e6ee30beaba2d63ccf2cbd443d0 (commit)

http://gitweb.samba.org/?p=samba.git;a=shortlog;h=v3-3-test


- Log -----------------------------------------------------------------
commit 823d7132e015fbf887ed61606148fee35f4a5f80
Author: Michael Adam <obnox at samba.org>
Date:   Wed Sep 10 23:22:49 2008 +0200

    packaging(RHEL): fix direction of link (.so) of nss libs.
    
    libnss_winbindd.so -> libnss_winbindd.so.2
    libnss_wins.so -> libnss_wins.so.2
    
    Michael
    (cherry picked from commit 295bfb6af8153e91ae881e2437cc707d5736bc97)

commit f842585ec3d021eab5f44a7907534ac85acb479a
Author: Michael Adam <obnox at samba.org>
Date:   Mon Sep 8 13:44:52 2008 +0200

    packaging(RHEL): add makerpms.git.sh to build rpms from inside a git checkout
    
    This expects a path to a release docs tarball (.tar.bz2) in the DOCS_TARBALL
    environment variable. The tarball should have a prefix of "docs/".
    
    Michael
    (cherry picked from commit d87c2192ab7b68b2f68442c50618d94146d77ad9)

-----------------------------------------------------------------------

Summary of changes:
 packaging/RHEL/makerpms.git.sh |  149 ++++++++++++++++++++++++++++++++++++++++
 packaging/RHEL/samba.spec.tmpl |    8 +-
 2 files changed, 153 insertions(+), 4 deletions(-)
 create mode 100755 packaging/RHEL/makerpms.git.sh


Changeset truncated at 500 lines:

diff --git a/packaging/RHEL/makerpms.git.sh b/packaging/RHEL/makerpms.git.sh
new file mode 100755
index 0000000..a8cb477
--- /dev/null
+++ b/packaging/RHEL/makerpms.git.sh
@@ -0,0 +1,149 @@
+#!/bin/sh
+# Copyright (C) John H Terpstra 1998-2002
+# Copyright (C) Gerald (Jerry) Carter 2003
+# Copyright (C) Michael Adam 2008
+
+# Script to build RPMs for RHEL from inside a git checkout.
+
+# The following allows environment variables to override the target directories
+#   the alternative is to have a file in your home directory calles .rpmmacros
+#   containing the following:
+#   %_topdir  /home/mylogin/redhat
+#
+# Note: Under this directory rpm expects to find the same directories
+# that are under the /usr/src/redhat directory.
+
+# Set DOCS_TARBALL to the path to a docs release tarball in .tar.bz2 format.
+# This tarball should contain the compiled docs with a prefix of "docs/".
+
+# extra options passed to rpmbuild
+EXTRA_OPTIONS="$1"
+
+RPMSPECDIR=`rpm --eval %_specdir`
+RPMSRCDIR=`rpm --eval %_sourcedir`
+
+# At this point the RPMSPECDIR and RPMSRCDIR variables must have a value!
+
+USERID=`id -u`
+GRPID=`id -g`
+
+DIRNAME=$(dirname $0)
+TOPDIR=${DIRNAME}/../..
+SRCDIR=${TOPDIR}/source
+VERSION_H=${SRCDIR}/include/version.h
+
+SPECFILE="samba.spec"
+DOCS="docs.tar.bz2"
+RPMVER=`rpm --version | awk '{print $3}'`
+RPM="rpmbuild"
+
+##
+## Check the RPM version (paranoid)
+##
+case $RPMVER in
+    4*)
+       echo "Supported RPM version [$RPMVER]"
+       ;;
+    *)
+       echo "Unknown RPM version: `rpm --version`"
+       exit 1
+       ;;
+esac
+
+##
+## determine the samba version and create the SPEC file
+##
+pushd ${SRCDIR}
+./script/mkversion.sh
+popd
+if [ ! -f ${VERSION_H} ] ; then
+	echo "Error creating version.h"
+	exit 1
+fi
+
+VERSION=`grep SAMBA_VERSION_OFFICIAL_STRING ${VERSION_H} | awk '{print $3}'`
+vendor_version=`grep SAMBA_VERSION_VENDOR_SUFFIX ${VERSION_H} | awk '{print $3}'`
+if test "x${vendor_version}"  != "x" ; then
+	VERSION="${VERSION}-${vendor_version}"
+fi
+VERSION=`echo ${VERSION} | sed 's/-/_/g'`
+VERSION=`echo ${VERSION} | sed 's/\"//g'`
+echo "VERSION: ${VERSION}"
+sed -e s/PVERSION/${VERSION}/g \
+	-e s/PRELEASE/1/g \
+	-e s/PRPMREV//g \
+	< ${DIRNAME}/${SPECFILE}.tmpl \
+	> ${DIRNAME}/${SPECFILE}
+
+
+##
+## create the tarball
+##
+pushd ${TOPDIR}
+rm -rf ../samba-${VERSION}
+git archive --prefix=samba-${VERSION}/ HEAD | (cd .. && tar -xf -)
+RC=$?
+popd
+if [ $RC -ne 0 ]; then
+	echo "Build failed!"
+	exit 1
+fi
+
+if [ "x${DOCS_TARBALL}" != "x" ] && [ -f ${DOCS_TARBALL} ]; then
+	cp ${DOCS_TARBALL} /tmp/${DOCS}
+	pushd ${TOPDIR}/../samba-${VERSION}
+	tar xjf /tmp/${DOCS}
+	RC=$?
+	rm -f /tmp/${DOCS}
+	popd
+	if [ $RC -ne 0 ]; then
+		echo "Build failed!"
+		exit 1
+	fi
+fi
+
+pushd ${TOPDIR}/..
+chown -R ${USERID}.${GRPID} samba-${VERSION}${REVISION}
+if [ ! -d samba-${VERSION} ]; then
+	ln -s samba-${VERSION}${REVISION} samba-${VERSION} || exit 1
+fi
+echo -n "Creating samba-${VERSION}.tar.bz2 ... "
+tar --exclude=.svn -cf - samba-${VERSION}/. | bzip2 > ${RPMSRCDIR}/samba-${VERSION}.tar.bz2
+RC=$?
+rm -rf samba-${VERSION}/
+popd
+echo "Done."
+if [ $RC -ne 0 ]; then
+        echo "Build failed!"
+        exit 1
+fi
+
+
+##
+## copy additional source files
+##
+pushd ${DIRNAME}
+chmod 755 setup/filter-requires-samba.sh
+tar --exclude=.svn -jcvf - setup > ${RPMSRCDIR}/setup.tar.bz2
+cp -p ${SPECFILE} ${RPMSPECDIR}
+popd
+
+##
+## Build
+##
+echo "$(basename $0): Getting Ready to build release package"
+pushd ${RPMSPECDIR}
+${RPM} -ba $EXTRA_OPTIONS $SPECFILE
+if [ "x$?" = "x0" ] && [ `arch` = "x86_64" ]; then
+    echo "Building 32 bit winbind libs"
+    # hi ho, a hacking we will go ...
+    ln -sf /lib/libcom_err.so.2 /lib/libcom_err.so
+    ln -sf /lib/libuuid.so.1 /lib/libuuid.so
+    ln -sf /lib/libkeyutils.so.1 /lib/libkeyutils.so
+    ${RPM} -ba --rebuild --target=i386 $SPECFILE
+fi
+
+popd
+
+echo "$(basename $0): Done."
+
diff --git a/packaging/RHEL/samba.spec.tmpl b/packaging/RHEL/samba.spec.tmpl
index 20567bb..92030fc 100644
--- a/packaging/RHEL/samba.spec.tmpl
+++ b/packaging/RHEL/samba.spec.tmpl
@@ -217,11 +217,11 @@ make DESTDIR=$RPM_BUILD_ROOT \
 cd ..
 
 # NSS winbind support
-install -m 755 source/nsswitch/libnss_winbind.so $RPM_BUILD_ROOT/%{_libarch}/libnss_winbind.so
-install -m 755 source/nsswitch/libnss_wins.so $RPM_BUILD_ROOT/%{_libarch}/libnss_wins.so
+install -m 755 source/nsswitch/libnss_winbind.so $RPM_BUILD_ROOT/%{_libarch}/libnss_winbind.so.2
+install -m 755 source/nsswitch/libnss_wins.so $RPM_BUILD_ROOT/%{_libarch}/libnss_wins.so.2
 ( cd $RPM_BUILD_ROOT/%{_libarch};
-  ln -sf libnss_winbind.so  libnss_winbind.so.2;
-  ln -sf libnss_wins.so  libnss_wins.so.2 )
+  ln -sf libnss_winbind.so.2  libnss_winbind.so;
+  ln -sf libnss_wins.so.2  libnss_wins.so )
 
 ## cleanup
 /bin/rm -rf $RPM_BUILD_ROOT/usr/lib*/samba/security


-- 
Samba Shared Repository


More information about the samba-cvs mailing list